X2Go Bug report logs - #693
domain users can't open sessions

version graph

Package: x2goserver; Maintainer for x2goserver is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goserver is src:x2goserver.

Reported by: Cristian Falcas <cristi.falcas@gmail.com>

Date: Mon, 8 Dec 2014 08:40:02 UTC

Severity: normal

Tags: moreinfo

Found in version 4.0.1.18

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#693; Package x2goserver. (Mon, 08 Dec 2014 08:40:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cristian Falcas <cristi.falcas@gmail.com>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 08 Dec 2014 08:40:02 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.x2go.org (full text, mbox):

From: Cristian Falcas <cristi.falcas@gmail.com>
To: submit@bugs.x2go.org
Subject: domain users can't open sessions
Date: Mon, 8 Dec 2014 10:38:30 +0200
Package: x2goserver
Version: 4.0.1.18

Due to the sanitizer from "/usr/lib64/x2go/x2gosqlitewrapper.pl",
domain users can't login. Usually a login id is in for
"domain\username" or "username@domain". Bot "\" and "@" are stripped
and the sub check_user fails.

Either allow at least "@" as a valid char to username, or make it
configurable and allow extra chars from a varible in the configuration
file.

Best regards,
Cristian Falcas


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#693; Package x2goserver. (Mon, 08 Dec 2014 12:20:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 08 Dec 2014 12:20:02 GMT) Full text and rfc822 format available.

Message #10 received at 693@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Cristian Falcas <cristi.falcas@gmail.com>, 693@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#693: domain users can't open sessions
Date: Mon, 08 Dec 2014 12:19:20 +0000
[Message part 1 (text/plain, inline)]
Control: tag -1 + moreinfo

Hi Cristian,

On  Mo 08 Dez 2014 09:38:30 CET, Cristian Falcas wrote:

> Package: x2goserver
> Version: 4.0.1.18
>
> Due to the sanitizer from "/usr/lib64/x2go/x2gosqlitewrapper.pl",
> domain users can't login. Usually a login id is in for
> "domain\username" or "username@domain". Bot "\" and "@" are stripped
> and the sub check_user fails.
>
> Either allow at least "@" as a valid char to username, or make it
> configurable and allow extra chars from a varible in the configuration
> file.

We are currently trying to fix X2Go logons with AD accounts containing  
"\" in the username.

The concept for email based login, I propose, is:

  o allow "@" in usernames / session IDs
  o usernames are 48 chars long at maximum

For usernames with backslashes, to do things properly, we need a  
similar hack like Samba uses (replace the "\" by some other
unique symbol. We have some places in the code that detect the  
username from the session name so the mapping
between username and session ID (concerning the username part) should  
be bijective.

We have some hacks for backslashed username in the code (e.g. for  
fixing #664 [2]), but this actually needs a cleaner implementation.

Can you please check/test...

  (1) How long are email-based logon names? Did they exceed 32 chars?  
This has been fixed just now for
      4.0.1.19 and has been fixed on the master branch for quite a while.
  (2) Is the email-based logon used as username everywhere on the  
system (echo $LOGON, echo $USER,
      echo $HOME)?


  (3) Does the patch provided here [1] fix your issue for backslashed  
usernames?
  (4) Is logon for backslashed users possible if you have x2goserver  
4.1.0.0-preview (nightly builds)
      installed?

[1]  
http://code.x2go.org/gitweb?p=x2goserver.git;a=commitdiff;h=5c11f3c67f14db5f0e751f491017ab9f17c152d1
[2] http://bugs.x2go.org/664

Greets,
Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Added tag(s) moreinfo. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 693-submit@bugs.x2go.org. (Mon, 08 Dec 2014 12:20:02 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#693; Package x2goserver. (Mon, 23 Feb 2015 11:25:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cristian Falcas <cristi.falcas@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 23 Feb 2015 11:25:03 GMT) Full text and rfc822 format available.

Message #17 received at 693@bugs.x2go.org (full text, mbox):

From: Cristian Falcas <cristi.falcas@gmail.com>
To: 693@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#693: domain users can't open sessions
Date: Mon, 23 Feb 2015 13:23:57 +0200
I've tested this with the latest sources (git tag x2goserver-89af59d)
and it's fixed.

Thank you,
Cristian Falcas


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#693; Package x2goserver. (Tue, 09 Feb 2016 06:15:02 GMT) Full text and rfc822 format available.

Message #20 received at 693@bugs.x2go.org (full text, mbox):

From: "Interfax Online" <incoming@interfax.net>
To: 693@bugs.x2go.org
Subject: You have received a new fax, document 00967669
Date: Tue, 9 Feb 2016 01:09:53 -0500
[Message part 1 (text/plain, inline)]
You have a new fax!

To view it please open the attachment.

Pages scanned:      3
Fax name:           fax_00967669.doc
Scan time:          49 seconds
Scanned at:         Mon, 8 Feb 2016 23:48:24 +0300
Sender:             Derek Phillips
Filesize:           155 Kb
Scan quality:       200 DPI

Thank you for using Interfax!

[fax_00967669.zip (application/zip, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#693; Package x2goserver. (Sat, 27 Feb 2016 12:30:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "State Court" <arnold.underwood@studionadar.it>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sat, 27 Feb 2016 12:30:02 GMT) Full text and rfc822 format available.

Message #25 received at 693@bugs.x2go.org (full text, mbox):

From: "State Court" <arnold.underwood@studionadar.it>
To: 693@bugs.x2go.org
Subject: Notice to Appear in Court
Date: Sat, 27 Feb 2016 13:18:21 +0100
[Message part 1 (text/plain, inline)]
Notice to Appear,

You have to appear in the Court on the March 06.
Please, prepare all the documents relating to the case and bring them to Court on the specified date.
Note: The case will be heard by the judge in your absence if you do not come.

The copy of Court Notice is attached to this email.

Kind regards,
Arnold Underwood,
Court Secretary.

[Court_Notification_000189007.zip (application/zip, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#693; Package x2goserver. (Fri, 14 Oct 2016 03:55:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "FedEx International Next Flight" <leroy.stafford@sunrisehomesincorporated.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 14 Oct 2016 03:55:02 GMT) Full text and rfc822 format available.

Message #30 received at 693-submit@bugs.x2go.org (full text, mbox):

From: "FedEx International Next Flight" <leroy.stafford@sunrisehomesincorporated.com>
To: 693-submit@bugs.x2go.org
Subject: Unable to deliver your item, #000804297
Date: Fri, 14 Oct 2016 03:50:56 +0000
[Message part 1 (text/plain, inline)]
Dear Customer,

This is to confirm that one or more of your parcels has been shipped.
Please, open email attachment to print shipment label.

Yours trully,
Leroy Stafford,
Sr. Operation Manager.

[FedEx_000804297.zip (application/zip, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#693; Package x2goserver. (Mon, 07 Nov 2016 03:15:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to "FedEx International Economy" <lawrence.gonzalez@colortrax.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 07 Nov 2016 03:15:01 GMT) Full text and rfc822 format available.

Message #35 received at 693-submit@bugs.x2go.org (full text, mbox):

From: "FedEx International Economy" <lawrence.gonzalez@colortrax.com>
To: 693-submit@bugs.x2go.org
Subject: Shipment delivery problem #00720898
Date: Mon, 7 Nov 2016 03:12:30 +0000
[Message part 1 (text/plain, inline)]
Dear Customer,

We could not deliver your parcel.
Shipment Label is attached to email.

Warm regards,
Lawrence Gonzalez,
FedEx Support Manager.

[FedEx_00720898.zip (application/zip, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#693; Package x2goserver. (Tue, 08 Nov 2016 10:25:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to "FedEx International Economy" <marc.moody@casadeverao.espreerealtors.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Tue, 08 Nov 2016 10:25:02 GMT) Full text and rfc822 format available.

Message #40 received at 693-submit@bugs.x2go.org (full text, mbox):

From: "FedEx International Economy" <marc.moody@casadeverao.espreerealtors.com>
To: 693-submit@bugs.x2go.org
Subject: Shipment delivery problem #000114617
Date: Tue, 8 Nov 2016 10:21:18 +0000
[Message part 1 (text/plain, inline)]
Dear Customer,

This is to confirm that one or more of your parcels has been shipped.
Delivery Label is attached to this email.

Yours trully,
Marc Moody,
Sr. Operation Manager.

[FedEx_000114617.zip (application/zip, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#693; Package x2goserver. (Sun, 19 Mar 2017 03:20:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to ginkgobrainkids@host.hijabmodern.net:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sun, 19 Mar 2017 03:20:02 GMT) Full text and rfc822 format available.

Message #45 received at 693@bugs.x2go.org (full text, mbox):

From: ginkgobrainkids@host.hijabmodern.net
To: 693@bugs.x2go.org
Subject: Delivery Status Notification
Date: Sun, 19 Mar 2017 01:35:04 +0000
[Message part 1 (text/plain, inline)]
Dear Customer,

Please check your package delivery details attached!

FedEx

-----BEGIN PGP PUBLIC KEY BLOCK-----

SUsdNVHhy8H00vC1NAwyEJT87J22JZVfx3czAXDFieyqGW9+U6kzw6uNvRQYXoNmRE4TRTPivZSD
NYNXa6MhHOhcFXGFWLEhyqdipUnuQfkPCgr60PXbmnRJuZhn0TL+eqfpurkKBjAeX8AmSDXUBRLA
MrVz94F281jG0DQYaGrVvgVvjbCL8UwRj6Fgfso75hxdduEZMLOb5YT3DuR86T1vmGdS8G3htF7E
X+RQ9J5kydof/4jrV+Qi0t3aptX0gFp+vWSw1/pDEEtF9GW51cfKFuNG7+YegfnWuTb3IE7W21d0
50aUrYQHRL8qHeJS7R1tV+k2h3r7yhunmn71tWnRanoEvzOW4NzT7ipvUcEDShD8ggOciRK/g1F3
hlp9jGG/srHwdUXm5Kh34SEam1OgPCMPjw6+NONGwt303iSbgj+QPExj1jHsuhCTLOWK84pJsQ9L
ByAlIfmN5QMIFIvELPcpRoa5Cu7SBlPwucfqZUt3Tr9uvS5kQUVHyFSMG289z4SR0OIRy0DzEXxH
6fh9TxXl7awzcmGFkkQ9iwTEuqM4jB4oUyGj3lGEz8RPzpIGTwJzJGQ0SkU+n0dc3Y+umJPIRelJ
bDOxA2YVN41+UD5CkBW2MtgQbsOgxVXkyhkFv2Hs1cseN6VekEiRJY0Ban1UhOeyb6DM5XG383se
zLfssY3ZgKKjoZ7Do2mM5OlHRYJPq0nKc+QZW1YBNOtPqnM5idWCoFUX1zQdUcCtv5KabPNTmhP0
BAh9gbSseX0p1gT1NwCZxsAoQ2jJ8qVyc5w6QPok4dj35koefEZKAdDcsssX+NYwQZX1y5hpuQj8
Mb0K0bgRw9mlvkYY2wpL+ZtYm3hX/mnL5e5LwwpQXhGzxa2uPlmV5h0l6zAVqZjwruvzrKvs2NlD
3kNUOCIBzhubUyP2Jtn9m1TA0gfWDzILcaENq2iaISdDKJw6aDVZybmJMuv4cMNuGdBOYLBSz2N+
ebXhJ6rckR7CAD0/+ZaESY9aMe3nDyyWRC9AQ9BbTfZdDW+958VPLnQVJL+caOMMIj6r8e6viHgo
/6djGh+1dieggmw8IROOMqPd1XasuByuCWET9sWhgR3Hx88wqp2db4J6LKNLSGOIJPYTyAfoXIeX
1NZywlRZnvQajLF2oY7s5ET7Oqyn26yGrCIU3jd+zNCBLz52xM/5Alh5r3cW9vzuSqRO8/BfFhq9
nslFYjWL1AnbsTw4bNOhWspAssDBgY7p/VLjRZImjo9RcWp+yLXQsz72Ka8jdf/knfTO/7uitERB
notdDr5n2USFFHIUYGfLs5qdLKpUy0ffd4qB3Fzwkg==


-----END PGP PUBLIC KEY BLOCK-----

[FedEx-Delivery-Details-ID-NMR49SMA.zip (application/zip, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#693; Package x2goserver. (Wed, 12 Apr 2017 04:35:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to canmort@smtp.groovesystems.com:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 12 Apr 2017 04:35:02 GMT) Full text and rfc822 format available.

Message #50 received at 693@bugs.x2go.org (full text, mbox):

From: canmort@smtp.groovesystems.com
To: 693@bugs.x2go.org
Subject: Delivery Notification
Date: Tue, 11 Apr 2017 21:34:50 -0700
[Message part 1 (text/plain, inline)]
Dear Customer,

Please review your parcel delivery label in the attachment!

FedEx

-----BEGIN PGP PUBLIC KEY BLOCK-----

vm0h6HLT8IHr242icFPp92GUuQHRY4h19WuY2ghKSkmjAShQtiiOez7xIH+Zsca6CFmALnkLmlex
gK95DyGm30JZGVrqUthKe747PKXlwYzkcJ5+A/1bJ1mTqbXcSUU7IV6Ju6UjjW/duM002Wx9G1Aw
u7tTIEQkR5DgG2qOxu5cD1FNfZQJgkWhGkF3WPkpiJhpVhUrlcso9BVcBu35zkudkoOZQIHweDQl
X6ZNBNymgn7KlIWVLd7igpTjUn37hp5rDwNPW41y1txib1v8+7agSkrvbOyByRL7FmVQeQhIrd/P
to2I7pVIe47CSJFJ4qMhEklM4G0TWz8RvFmdLAuYy9iW/SV9HupM9VaDY/Op/mJ3rvzzFxLMtjol
stpcZAoM0oOO9FwKMPVOk9cpM4ZU9Mvyl7/kRwTc2d6KwUJ1IOge7bVUSjCxX2H4FmMZ71qWB2ZH
oaBzLw2lKX6zpWTlqB4CaUGzriMHuLFb2HtrplqLoRmuMXzFrV/wlm5btKd4wDogfiiZX4cdLCHd
xpiH2vLrRKO+M6fEYjYLON7XiOlLib6B/Qy48MF7ztxt+6Me3fSNVoHJ3fl8i91aGHwmYqxmPKj5
37MKQjjH/i7zMxIOQRhrgFklqsOxn2DvxKYQeeBmaue94/Z0MDIZw7MlgeXDzmJVIy0aQJ1j4LsY
hckla80d/tgx4K+jRi13ceG4q3JCzt9ff7BYpgdylMbvzxVjtupHasJ/VGxKDjEsTGQOzXEwk5Bu
IxotuQoVJ5fJJZFBcmw/d10tfC9Vxz4bhTgaxGG7BdWzDP1xYUVDMD+Mfabp6fSOs8eotk/BbQDO
6s4/4GYXpSCFT6KYntvSUJVDvmiG3Y82WHmOs3nIWg+VgH/e+NqpVtE3NMSr/UIw7TEjF+pxjZqb
nI028AKZj7MqIXMYEn8+mWJeXZq5dLujnc1fvXur6QdfKLAsKw3WmutfN7VXELNisn4cXRt4SE+P
SFIoyOSmAAu33WG4eq5UT1F0v1f3M6PreKAxvyq5wFS1loa41Bzg0Kr6nPYXEe4F/4/K96Fu4ZrE
m6db7Qzp/SbD62CkGiUIXKKS9QBVmuNsZ1V8pkWu1pGK5uoyRpwvJfnw6kkiVjLNpRIOihFPHPCa
KL9SLe8DXFMEQzyiQRTsQkVmYk/YfRpWWb+D22gxbOlFIn6nWM/UNjAMBxxRESnFOBEglyHrRNYf
6EZOznq2Upbt9oPgRnxHDCu6lzdfrjY7AZkw5un6lSVO+1sSdM+X0xMni7klu1B8MhEQEsC0RnQI
d8Up7yGBidd23xEHcCE2nj/Nz5gsZedlLwVS0e2MJA==


-----END PGP PUBLIC KEY BLOCK-----

[FedEx-Label-ID-COEMQCSO.zip (application/zip, attachment)]

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Tue Dec 11 01:14:13 2018; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.